Skip to main content
`Ctrl`+`K`

# PetscPreLoadStage

Start a new segment of code to be timed separately to get accurate timings

## Synopsis

    #include <petsclog.h>
    void PetscPreLoadStage(char *name);

Not Collective

## Example Usage

      PetscPreLoadBegin(PETSC_TRUE,"first stage");
      // lines of code
      PetscPreLoadStage("second stage");
      // lines of code
      PetscPreLoadEnd();

## Note

Only works in C/C++ not Fortran

## See Also

Profiling, `PetscLogEventRegister()`, `PetscLogEventBegin()`, `PetscLogEventEnd()`, `PetscPreLoadBegin()`, `PetscPreLoadEnd()`

## Level

intermediate

## Location

src/sys/logging/plog.c

Index of all Log routines
Table of Contents for all manual pages
Index of all manual pages